Добавление композитора в Codeigniter

Я использую Codeigniter с года, и я также начал изучать Laravel недавно, и я заметил, что наличие композитора в вашей структуре действительно помогает вам во многих отношениях. Я замечаю, что Codeigniter 3 имеет эту опцию в config.php-файл для доба ...

PHPUnit дает мне автопогрузку.php не нашел исключения

Обновить Я исправил проблему, все дело было в правильных разрешениях в app/cache и app/logs. Когда я пытаюсь запустить PHPUnit в symfony2, используя эту команду phpunit -c app/, я получаю это огромное сообщение об ошибке: PHPUnit 3.7.28 by Seb ...

Как отключить загрузку Xdebug для php CLI? [закрытый]

Я использую composer, и когда я делаю обновление. Это занимает огромный кусок времени, если xdebug загружен в мой php.ini-файл. Как отключить xdebug только для cli. Так что композитор не займет много времени. И все же у меня будет включен xdebug? ...

Как установить библиотеку PHP MarkLogic С (или без) composer?

Я пытаюсь следовать инструкциям на официальной странице github: https://github.com/marklogic/mlphp У меня есть композитор глобально. Поэтому я создал композитора.json { "requires": { "MarkLogic\MLPHP" : "dev-master" } } Но когда я вызы ...

Изменение глобального пути композитора (Windows)

Composer по умолчанию использует каталог %APPDATA%\Composer для глобальных пакетов. Поэтому мне нужно добавить %APPDATA%\Composer\vendor\bin path в переменную окружения user PATH. Можно ли изменить каталог установки на что-то вроде C:\php\composer? ...

Laravel DB заполнение классов моделей без автоматической загрузки

В Laravel 4.2 я внезапно столкнулся с проблемой, когда он не загружает мои классы моделей, когда я пытаюсь php artisan db:seed. Странно то, что вчера он работал нормально, а сегодня-нет. Я пробую некоторые довольно простые вещи: DatabaseSeeder.ph ...

Порядок выполнения нескольких Автозагрузчиков Composer

У меня есть проект с несколькими модулями. Каждый модуль использует Composer внутри себя и в основном независим от других модулей. Однако некоторые модули имеют общие зависимости, которые имеют разные версии. Эти зависимости по большей части обратно ...

Как требовать локальный пакет, который зависит от другого локального пакета

A имеют следующие папки, каждая из которых содержит проект: PackageA PackageB PackageC PackageA зависит от PackageB witch также зависит от PackageC, Каждый из которых является репозиторием git. Это композитор PackageA.json: { "name": "pa ...

Как переключить версию php при запуске composer?

У меня установлен composer на windows 8.1. Я использую его для загрузки дистрибутивов и модулей drupal. Я также установил acquia dev desktop. Как вы знаете, dev desktop поставляется с различными версиями php и имеет отдельные папки для него. Я композ ...

Нужно ли установить PHP и composer для размещения приложения на Heroku?

Я сделал простое приложение для чата, которое состоит из php, css и html файлов (без базы данных). В настоящее время он размещен на моем школьном сервере, но я хочу поместить его на Heroku. Хероку говорит мне, что я должен установить PHP и что-то под ...

Как требовать поставщика / автопогрузку.php с behat.в формате YML

В моем проекте у меня есть файл autoload.php, который отвечает за требование context классов. Это файл, автоматически сгенерированный Composer. Как я могу включить этот файл, используя behat.yml? В Phpunit'S phpunit.xml.dist я могу сделать это про ...

Composer require-dev требующие зависимости в различных пакетах require-dev

У меня есть некоторые тесты, которые находятся в пространстве имен и загружаются автоматически в пакете A с помощью "autoload-dev": { "psr-4": { "Vendor\\PackageA\\PhpUnit\\": "tests/PhpUnit" } }, Это прекрасно работает. У меня е ...

Не удается установить клиент Horde Imap с composer

Я пытаюсь установить Orde / Imap_Client, как описано здесь В пустом каталоге я создаю файл composer.json со следующим содержимым { "repositories": [ { "type": "pear", "url": "http://pear.horde.org" } ...

Не удается обновить один пакет Composer

Мой composer.json "require": { "php": ">=5.5.9", "laravel/framework": "5.1.*", "laravelcollective/html": "~5.0", "laravel/cashier": "~5.0", "baum/baum": "~1.1", "laracasts/flash": "~1.3", "intervention/image": "^2.3", ...

Не удается установить SSL соединение с Composer с PHP 5.6.3

После клонирования репозитория на Ubuntu 14.04 с PHP 5.6.3 я не могу запустить php composer.phar selfupdate ни php composer.phar update. Я получаю это сообщение: [Composer\Downloader\TransportException] The ...

Не удалось создать пару ключей DH на "Добавить зависимость композитор" в PhpStorm

Я получил предупреждение Could not get package info. Failed to connect to https://packagist.org/packages/list.json: java.lang.RuntimeException: Could not generate DH keypair Please check your internet connection. При открытии зависимости Composer ...

Как правильно ссылаться на подкласс пакета PHP при использовании Composer?

У меня есть приложение, работающее в CakePHP 3, и я установил свои пакеты через Composer. Совсем недавно я добавил:phpspec/php-diff (https://packagist.org/packages/phpspec/php-diff ) и побежал composer update. Он поместил файлы, как и ожидалось, в v ...

Как отметить код как стабильный с помощью Composer?

Недавно я столкнулся с изменением в composer, означающим, что по умолчанию minimum-stability является stable, и вместо того, чтобы установить это значение в dev, я хотел бы отметить некоторые из моих библиотек как стабильные. Я фактически использую ...

Композитор конфликты и Symfony 3

Я совершенно новичок в composer и symfony, и я начал проект symfony3. Дела идут хорошо, но теперь я не буду обновлять свою зависимость. Я искал решение в течение 3 часов. Вот мой журнал консоли: Problem 1 - sonata-project/admin-bundle dev-maste ...

Какой пакет услуг предоставляет хранилище для беседки?

За менеджером зависимостей для PHP Composer работает с архиватором пакетов PHP Packagist. Поэтому, когда я хочу определить Zend Framework 2 как пакет, от которого зависит мой проект, я использую синтаксис developer/package: Композитор.json { ...